-- Script to sync in-game time to system time -- Rol
-- An occasional memory access violation error upon closing the game can occur, especially when the syncIterval is low. I think it is harmless.

registerForEvent("onInit", function() 
	tPointer = GetSingleton("gameTimeSystem")
	tCounter = 0
	syncInterval = 7 -- number of seconds to sync the in-game time with the system time
	print("As above, so below.. Realtime script loaded.")
end)

registerForEvent("onUpdate", function(delta)
	tCounter = tCounter + delta
	if (tCounter >= syncInterval) then
		sysTime = os.date ("*t")
		tPointer:SetGameTimeBySeconds(sysTime.hour*3600 + sysTime.min*60 + sysTime.sec)
		tCounter = tCounter - syncInterval 
	end
end)

